Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020873
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-06-26 13:482012-08-20 15:00
ReporterpsarobeView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0MP15
StatusclosedFix in branchpiFixed in SCM revision36044346d737
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Todbaz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020873: Filters are not working properly: Values disappear althought filter remains

DescriptionFilters are not working properly: Values disappear although filter remains.

You filter by date, the value of the filter remains and the system retrieves the info depending on the filter. Then you add another filter, but in that moment the system removes the value of the first filter (date) although it is finally filtering by the two filters
Steps To Reproduce1. Go to sales order window in grid view
2. Filter by date. It works fine and the value of the filter remains
3. Add the column Price list. And filter by a valid value
3. Suddenly the value for the filter column Date order has disappeared. This is wrong
4. Now only filters by the price list. This is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00208383.0MP13 closeddbaz When you filter by a numeric column and press enter, the value disappears although it filters well 

-  Notes
(0050099)
alostale (developer)
2012-06-26 17:15

Downgrading priority as it is not a regression: reproducible in 3.0MP7.1
(0051261)
hgbot (developer)
2012-08-13 14:39

Repository: erp/devel/pi
Changeset: 36044346d737eaee6a4640ad921b8643ead46987
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Aug 13 17:53:16 2012 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/36044346d737eaee6a4640ad921b8643ead46987 [^]

Fixes Issue 20873 : Retaining Transactional Filters

Fixed issue where filtered value disappears when showing or hiding columns

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0051291)
AugustoMauch (developer)
2012-08-14 14:28

Issue reopened to enter Closed by field
(0051386)
dbaz (developer)
2012-08-20 15:00

Reviewed @ changeset: 17713 - 72d6045b34d9

- Issue History
Date Modified Username Field Change
2012-06-26 13:48 psarobe New Issue
2012-06-26 13:48 psarobe Assigned To => alostale
2012-06-26 13:48 psarobe Modules => Core
2012-06-26 16:41 alostale Relationship added related to 0020838
2012-06-26 17:14 psarobe Steps to Reproduce Updated View Revisions
2012-06-26 17:15 alostale Note Added: 0050099
2012-06-26 17:15 alostale Priority immediate => urgent
2012-06-26 17:50 alostale Target Version 3.0MP13 => 3.0MP14
2012-07-23 15:54 alostale Target Version 3.0MP14 =>
2012-08-09 13:47 AugustoMauch Assigned To alostale => AugustoMauch
2012-08-13 14:39 hgbot Checkin
2012-08-13 14:39 hgbot Note Added: 0051261
2012-08-13 14:39 hgbot Status new => resolved
2012-08-13 14:39 hgbot Resolution open => fixed
2012-08-13 14:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/36044346d737eaee6a4640ad921b8643ead46987 [^]
2012-08-14 14:28 AugustoMauch Note Added: 0051291
2012-08-14 14:28 AugustoMauch Status resolved => new
2012-08-14 14:28 AugustoMauch Resolution fixed => open
2012-08-14 14:29 AugustoMauch Closed by => dbaz
2012-08-14 14:31 AugustoMauch Status new => scheduled
2012-08-14 14:31 AugustoMauch fix_in_branch => pi
2012-08-14 14:31 AugustoMauch Status scheduled => resolved
2012-08-14 14:31 AugustoMauch Resolution open => fixed
2012-08-20 15:00 dbaz Note Added: 0051386
2012-08-20 15:00 dbaz Status resolved => closed
2012-08-20 15:00 dbaz Fixed in Version => 3.0MP15


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker